Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.search.impl
Class AbstractFederatedIndexer

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.portal.jems.as.system.AbstractJBossService
                  org.jboss.portal.search.impl.AbstractFederatedIndexer

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, FederatedIndexer, org.jboss.system.Service, org.jboss.system.ServiceMBean

Direct Known Subclasses:
  LuceneFederatedIndexer

    public abstract class AbstractFederatedIndexer

extends AbstractJBossService
implements FederatedIndexer

Version:
  $Revision: 8784 $
Author:
  Thomas Heute

Field Summary
`protected org.jboss.portal.common.i18n.LocalizedString` | `displayName`
`protected java.lang.String` | `id`
`protected Info` | `info`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`AbstractFederatedIndexer()`

Method Summary
`org.jboss.portal.common.i18n.LocalizedString` | `getDisplayName()` Get a localized name for this federated search
`java.lang.String` | `getId()` Get the ID for this federated search
`Info` | `getInfo()` Info should return information on the current status if the federated search
`void` | `setDisplayName(org.jboss.portal.common.i18n.LocalizedString displayName)`
`void` | `setId(java.lang.String id)`
`void` | `setInfo(Info info)`

Methods inherited from class org.jboss.portal.jems.as.system.AbstractJBossService
`create, destroy, getState, getStateString, start, stop`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`createService, destroyService, getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, startService, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.portal.search.FederatedIndexer
`createIndex, destroyIndex`

Field Detail

### id

    protected java.lang.String id

### displayName

    protected org.jboss.portal.common.i18n.LocalizedString displayName

### info

    protected Info info

Constructor Detail

### AbstractFederatedIndexer

    public AbstractFederatedIndexer()

Method Detail

### getDisplayName

    public org.jboss.portal.common.i18n.LocalizedString getDisplayName()

  Description copied from interface: `FederatedIndexer`
  Get a localized name for this federated search

  Specified by:
    `getDisplayName` in interface `FederatedIndexer`
  Returns:
    String

### setDisplayName

    public void setDisplayName(org.jboss.portal.common.i18n.LocalizedString displayName)

### getInfo

    public Info getInfo()

  Description copied from interface: `FederatedIndexer`
  Info should return information on the current status if the federated search

  Specified by:
    `getInfo` in interface `FederatedIndexer`
  Returns:

### setInfo

    public void setInfo(Info info)

### getId

    public java.lang.String getId()

  Description copied from interface: `FederatedIndexer`
  Get the ID for this federated search

  Specified by:
    `getId` in interface `FederatedIndexer`
  Returns:
    String representing this particular federated search

### setId

    public void setId(java.lang.String id)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD